//
//  BlowUpSizeAnimationViewController.swift
//  TinyAnimations
//
//  Created by Michael Gazzola on 9/29/14.
//  Copyright (c) 2014 Michael Gazzola. All rights reserved.
//

import UIKit

class BlowUpSizeAnimationViewController: BaseAnimationViewController {

    override func animate(view: UIView) {
        let initialFrame = view.frame
        let secondFrame = CGRectInset(initialFrame, -30, -50)
        let thirdFrame = CGRectInset(secondFrame, 10, 15)
        let fourthFrame = CGRectInset(thirdFrame, -15, -20)
        let animation = CAKeyframeAnimation(keyPath: "frame")
        UIView.animateWithDuration(0.1, animations: { () -> Void in
            view.frame = secondFrame
        }, completion: { (finished) -> Void in
            UIView.animateWithDuration(0.1, animations: { () -> Void in
                view.frame = thirdFrame
            }, completion: { (finished) -> Void in
                UIView.animateWithDuration(0.1, animations: { () -> Void in
                    view.frame = fourthFrame
                }, completion: { (finished) -> Void in
                    UIView.animateWithDuration(3.0, animations: { () -> Void in
                        view.frame = initialFrame
                    })
                })
            })
        })
    }
    
}
