//
//  MultipointAnimationViewController.swift
//  TinyAnimations
//
//  Created by Michael Gazzola on 9/28/14.
//  Copyright (c) 2014 Michael Gazzola. All rights reserved.
//

import UIKit

class MultipointAnimationViewController: BaseAnimationViewController {

    override func animate(view: UIView) {
        let initialPoint = view.center
        let secondPoint = CGPoint(x: initialPoint.x + 50, y: initialPoint.y)
        let thirdPoint = CGPoint(x: secondPoint.x, y: secondPoint.y + 50)
        let fourthPoint = CGPoint(x: thirdPoint.x - 50, y: thirdPoint.y)
        let points = [NSValue(CGPoint: initialPoint),
                      NSValue(CGPoint: secondPoint),
                      NSValue(CGPoint: thirdPoint),
                      NSValue(CGPoint: fourthPoint),
                      NSValue(CGPoint: initialPoint)]
        let animation = CAKeyframeAnimation(keyPath: "position")
        animation.values = points
        animation.duration = 0.5
        animation.repeatCount = Float.infinity
        view.layer.addAnimation(animation, forKey: "Multipoint")
    }

}
