//
//  ThreeDimensionalRotationAnimationViewController.swift
//  TinyAnimations
//
//  Created by Michael Gazzola on 9/28/14.
//  Copyright (c) 2014 Michael Gazzola. All rights reserved.
//

import UIKit

class ThreeDimensionalRotationAnimationViewController: BaseAnimationViewController {
    
    func rotationAnimation() -> CABasicAnimation {
        let animation = CABasicAnimation()
        animation.fromValue = 0
        animation.toValue = 4 * M_PI
        return animation
    }
    
    override func animate(view: UIView) {
        let zAnimation = self.rotationAnimation()
        zAnimation.keyPath = "transform.rotation.z"
        
        let xAnimation = self.rotationAnimation()
        xAnimation.keyPath = "transform.rotation.x"
        
        let yAnimation = self.rotationAnimation()
        yAnimation.keyPath = "transform.rotation.y"
        
        let group = CAAnimationGroup()
        group.duration = 2.0
        group.repeatCount = Float.infinity
        group.animations = [zAnimation, xAnimation, yAnimation]
        group.timingFunction = CAMediaTimingFunction(name: kCAMediaTimingFunctionLinear)
        view.layer.addAnimation(group, forKey: "3D-rotation")
    }

}
